<?php
/**
 * Template part for displaying front page services.
 *
 * @package Moral
 */

// Get default  mods value.
$services = get_theme_mod( 'franchise_services', 'custom' );

if ( 'disable' === $services ) {
    return;
}

$default = franchise_get_default_mods();

$services_num = get_theme_mod( 'franchise_services_num', 3 );

$id = array();
for ( $i=1; $i <= 3; $i++ ) { 
    $id[] = get_theme_mod( "franchise_services_post_" . $i );
}

$col_class = count( array_filter( $id ) );

?>
<div id="services-section" class="relative page-section">
    <div class="wrapper">
        <div class="services-items-wrapper col-<?php echo esc_attr( $col_class ); ?>">
                <?php
                    $args = array(
                        'post__in' => (array)$id,   
                        'orderby'   => 'post__in',
                        'posts_per_page' => 3,
                        'ignore_sticky_posts' => true,
                    );

                    $query = new WP_Query( $args );

                    $i = 1;
                    if ( $query->have_posts() ) :
                        while ( $query->have_posts() ) :
                            $query->the_post();
                            ?>

                            <article>
                                <header class="entry-header">
                                    <span class="entry-subtitle"><?php echo esc_html( get_theme_mod( 'franchise_services_custom_sub_title_' . $i, $default['franchise_services_custom_sub_title'] ) ); ?></span>
                                    <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                                </header>

                                <div class="entry-content">
                                    <?php the_excerpt();?>
                                </div><!-- .entry-content -->

                                <?php 
                                if ( has_post_thumbnail() ) : ?>
                                    <div class="featured-image" style="background-image: url('<?php the_post_thumbnail_url( 'large' ); ?>');">
                                        <a href="<?php echo esc_url( get_permalink() ); ?>" class="featured-image-link"></a>
                                    </div><!-- .featured-image -->
                                <?php endif;?>

                            </article>

                        <?php 
                        $i++;
                        endwhile;
                        wp_reset_postdata();
                    endif; 
                ?>
        </div><!-- .services-items-wrapper -->
    </div><!-- .wrapper -->
</div><!-- #services-section -->