<?php
/**
 * Template part for displaying front page slider.
 *
 * @package Moral
 */

// Get default  mods value.
$slider = get_theme_mod( 'franchise_slider', 'custom' );

if ( 'disable' === $slider ) {
    return;
}

?>
<div id="featured-slider" class="relative">
    <div class="featured-slider-wrapper" data-slick='{"slidesToShow": 1, "slidesToScroll": 1, "infinite": true, "speed": 1000, "dots": true, "arrows":true, "autoplay": true, "fade": false }'>
	<?php


        $id = array();
        for ( $i=1; $i <= 2; $i++ ) { 
            $id[] = get_theme_mod( "franchise_slider_page_" . $i );
        }
        $args = array(
            'post_type' => 'page',
            'post__in' => (array)$id,   
            'orderby'   => 'post__in',
            'posts_per_page' => 2,
            'ignore_sticky_posts' => true,
        );

	    $query = new WP_Query( $args );

	    $i = 1;
	    if ( $query->have_posts() ) :
	        while ( $query->have_posts() ) :
	            $query->the_post();
	            ?>
	        
	            <article style="background-image: url('<?php the_post_thumbnail_url( 'large' ); ?>');">
    				<div class="overlay"></div>
		            <div class="wrapper">
		                <div class="featured-content-wrapper">
		                    <header class="entry-header">
		                        <h2 class="entry-title"><?php the_title();?></h2>
		                    </header>

		                    <div class="more-link">
		                        <a href="<?php the_permalink(); ?>" class="btn btn-default"><?php esc_html_e( 'Know More', 'franchise' ); ; ?></a>
		                    </div><!-- .more-link -->
		                    </div><!-- .featured-content-wrapper -->
		            </div><!-- .wrapper -->
    	        </article>
	        <?php 
	        $i++;
	    	endwhile;
	        wp_reset_postdata();
	    endif; 
	
	?>
    </div><!-- .featured-slider-wrapper -->
</div><!-- #featured-slider -->