<?php
/**
 * Template part for displaying front page testimonial.
 *
 * @package Moral
 */

// Get default  mods value.
$testimonial = get_theme_mod( 'franchise_testimonial', 'custom' );

if ( 'disable' === $testimonial ) {
    return;
}

$default = franchise_get_default_mods();

?>
<div id="testimonial-section" class="relative page-section">
    <div class="wrapper">
        <div class="testimonial-slider" data-slick='{"slidesToShow": 1, "slidesToScroll": 1, "infinite": true, "speed": 800, "dots": true, "arrows":false, "autoplay": true, "fade": true }'>
	        	<?php


        	        $id = array();
        	        for ( $i=1; $i <= 2; $i++ ) { 
        	            $id[] = get_theme_mod( "franchise_testimonial_post_" . $i );
        	        }
        	        $args = array(
        	            'post__in' => (array)$id,   
                        'orderby'   => 'post__in',
        	            'posts_per_page' => 2,
        	            'ignore_sticky_posts' => true,
        	        );

	        	    $query = new WP_Query( $args );
	        	    $i = 1;
	        	    if ( $query->have_posts() ) :
	        	        while ( $query->have_posts() ) :
	        	            $query->the_post();

	        	            $class = ( has_post_thumbnail() ) ? 'has-featured-image' : '';
	        	            ?>
	        	        	
	        	        	<article class="<?php echo esc_attr( $class ); ?>">
	        	        		<div class="testimonial-item">
		        	            	<?php if ( has_post_thumbnail() ) { ?>
			        	        	    <div class="featured-image" style="background-image: url('<?php the_post_thumbnail_url( 'large' );?>');">
			        	        	        <a href="<?php the_permalink();?>" class="featured-image-link"></a>
			        	        	    </div><!-- .featured-image -->
		        	            	<?php } ?>

		        	        	    <div class="entry-container">
		        	        	        <header class="entry-header">
		        	        	            <h2 class="entry-title"><?php the_title();?></h2>
		        	        	            <span class="entry-subtitle"><?php echo esc_html( get_theme_mod( 'franchise_testimonial_custom_sub_title_' . $i, $default['franchise_testimonial_custom_sub_title'] ) ); ?></span>
		        	        	        </header>

		        	        	        <div class="entry-content">
		        	        	            <?php the_excerpt();?>
		        	        	        </div><!-- .entry-content -->
		        	        	    </div><!-- .entry-container -->
	        	        		</div>
	        	        	</article>
	        	        <?php 
	        	        $i++;
	        	    	endwhile;
	        	        wp_reset_postdata();
	        	    endif; 
	        	?>
		</div><!-- .testimonial-slider -->
    </div><!-- .wrapper -->
</div><!-- #testimonial-section -->